gss_import_name(3)

NAME
gss_import_name - API function

SYNOPSIS
#include <gss.h>

OM_uint32 gss_import_name(OM_uint32 * minor_status, const gss_buffer_t input_name_buffer, const gss_OID input_name_type, gss_name_t * output_name);

ARGUMENTS

OM_uint32 * minor_status
    (Integer, modify) Mechanism specific status code.

const gss_buffer_t input_name_buffer
    (buffer, octet-string, read) Buffer containing
      contiguous string name to convert.

const gss_OID input_name_type
    (Object ID, read, optional) Object ID specifying
      type of printable name. Applications may specify either
      GSS_C_NO_OID to use a mechanism-specific default printable
      syntax, or an OID recognized by the GSS-API implementation to
      name a specific namespace.

gss_name_t * output_name
    (gss_name_t, modify) Returned name in internal form.
      Storage associated with this name must be freed by the
      application after use with a call to gss_release_name().

DESCRIPTION
Convert a contiguous string name to internal form. In general, the internal name returned (via the output_name parameter) will not be an MN; the exception to this is if the input_name_type indicates that the contiguous string provided via the input_name_buffer parameter is of type GSS_C_NT_EXPORT_NAME, in which case the returned internal name will be an MN for the mechanism that exported the name.

RETURN VALUE

`GSS_S_COMPLETE`: Successful completion.

`GSS_S_BAD_NAMETYPE`: The input_name_type was unrecognized.

`GSS_S_BAD_NAME`: The input_name parameter could not be interpreted as a name of the specified type.

`GSS_S_BAD_MECH`: The input name-type was GSS_C_NT_EXPORT_NAME, but the mechanism contained within the input-name is not supported.

REPORTING BUGS
Report bugs to <bug-gss@gnu.org>. GNU Generic Security Service home page: http://www.gnu.org/software/gss/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2003-2022 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gss is maintained as a Texinfo manual. If the info and gss programs are properly installed at your site, the command

    info gss

should give you access to the complete manual.